import { EventEmitter } from '@angular/core';
import { SecretVO } from '../../../vo/secret.vo';
export declare class IdentityClientsUpdateSecretComponent {
    clientId: string;
    identityClientsUpdateSecretCreateComponentProp: {
        visible: boolean;
    };
    secrets: Array<SecretVO>;
    secretsFetching: boolean;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    deleteSecret(item: SecretVO): void;
    fetchSecrets(): void;
    handleAfterOpen(): void;
    handleCancel(): void;
    handleIdentityClientsUpdateSecretCreateComponentOk(): void;
    openIdentityClientsUpdateSecretCreateComponent(): void;
}
